Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Remote Application Platform (RAP) » What to do about Eclipse RAP compatibility with Remote System Explorer?(org.eclipse.rse.core explicitly requires org.eclipse.swt)
What to do about Eclipse RAP compatibility with Remote System Explorer? [message #1153402] Thu, 24 October 2013 15:38 Go to next message
Jay Billings is currently offline Jay Billings
Messages: 43
Registered: July 2011
Member
Everyone,

We are in the process of migrating to RAP 2.0. We had a lot of success with RAP 1.3, but dropped it for awhile and focused more on our RCP product. While we were doing that we picked up a dependency on the Eclipse Remote System Explorer. Unfortunately the Eclipse Remote System Explorer explicitly requires org.eclipse.swt in its manifest file.

What's the best way for me to get in touch with someone to see if we can get RSE updated? It doesn't seem to have its own Eclipse project on the forum. I wanted to wait to file a bug until I made sure it was the correct course of action.

Thanks,
Jay


Jay Jay Billings
Oak Ridge National Laboratory
Twitter: @jayjaybillings
Re: What to do about Eclipse RAP compatibility with Remote System Explorer? [message #1153558 is a reply to message #1153402] Thu, 24 October 2013 17:50 Go to previous messageGo to next message
Markus Knauer is currently offline Markus Knauer
Messages: 108
Registered: July 2009
Senior Member

Hi Jay,

good to hear that you are back from RCP to RAP! Wink

The best place to file a bug in the Eclipse Remote System Explorer is the Target Management (TM) project (see [1] and [2]). And yes, as far as I can see you are right, they have only a developers' mailing list, but there's no forum. In order to file a bug, just select the 'RSE' component in the TM product (see [3]).

Thanks,
Markus


[1] TM home page http://www.eclipse.org/tm/
[2] TM project page http://projects.eclipse.org/projects/tools.tm
[3] https://bugs.eclipse.org/bugs/enter_bug.cgi?product=Target%20Management





--
Markus Knauer

Twitter: @EclipseRAP
Blog: http://eclipsesource.com/blogs/

Professional services for RAP and RCP?
http://eclipsesource.com/services/rap/
Re: What to do about Eclipse RAP compatibility with Remote System Explorer? [message #1153575 is a reply to message #1153558] Thu, 24 October 2013 18:04 Go to previous message
Jay Billings is currently offline Jay Billings
Messages: 43
Registered: July 2011
Member
Thanks Markus! I'll file the bug right away.

Jay


Jay Jay Billings
Oak Ridge National Laboratory
Twitter: @jayjaybillings
Previous Topic:Google Chrome + GET 304 Not Modified
Next Topic:SWT.INHERIT_DEFAULT override individual control
Goto Forum:
  


Current Time: Tue Sep 23 16:27:59 GMT 2014

Powered by FUDForum. Page generated in 0.01716 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software